# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# Distribution / packaging
dist/
build/
*.egg-info/
*.egg

# Local development settings
.env*
.envrc
*.bak

# Logs and databases
logs/
*.log
*.swp
*.swo
*.sqlite
db.sqlite3
*.db
volume
data

# IDE-specific files
.idea/
.vscode/
This .gitignore file ignores the byte-compiled, optimized, and DLL files created by Python, as well as the distribution and packaging files. It also ignores local development settings like environment variables and backup files. Additionally, it ignores logs, databases, and IDE-specific files that should not be included in version control.


# poetry virtual environments
.venv

.py*
.mypy*

venv
envs